Subject: [Diffserv] Draft 11 MIB Edits

From: Fred Baker <[email-masked]>
Date: Mon, 20 Aug 2001 01:47:27 +0800

I have, as you will note, asked Natalia to post 
ftp://ftpeng.cisco.com/fred/diffserv/draft-ietf-diffserv-mib-11.txt for 
review. In the same location, you will find 
ftp://ftpeng.cisco.com/fred/diffserv/marked.draft-ietf-diffserv-mib-11.txt, 
which is the result of a diffmk comparison to draft 10.

I believe that this contains all agreed edits; anyone who has had a comment 
on the MIB should review it with their comments in mind, and reply to this 
email with any remaining comments.

In the working group meeting, Walter asked for two major revisions from the 
mike. He has sent me some sketches of what he is asking for, but I don't 
see those proposals on the working group mailer, and I don't see any 
discussion of them. I would like for the chair to tell me there is 
consensus for the changes he wants made before I go make them. Not that 
they are horrible changes, mind you; I would just like to hear that there 
is consensus to support them.

_______________________________________________
diffserv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 19 Aug 2001 13:53:31 -0500

Walter did send some text to the list on August 9th with the
subject field "Scheduler scenarios for the MIB", but indeed
I have seen no comments. If you have an opinion about Walter's
text, either positive or negative, please send it to the list
so that we can see what people think.

Apart from that: thanks Fred!

  Brian

---

From: Frank Strauss <[email-masked]>
Date: 20 Aug 2001 09:53:04 +0200

Hi!

I've fed both MIBs to the smilint MIB checker. Applied are the patches
I propose to fix the SMIv2 related errors and warnings. Note that I
did not spent any time on the semantics. I got the impression that the
OBJECT-GROUPs need a closer look.

 -frank

--- ../../DIFFSERV-MIB	Mon Aug 20 09:24:13 2001
+++ DIFFSERV-MIB	Mon Aug 20 09:44:10 2001
@@ -1,7 +1,7 @@
 DIFFSERV-MIB DEFINITIONS ::= BEGIN
 
     IMPORTS
-    Unsigned32, Counter32, Counter64,
+    Integer32, Unsigned32, Counter32, Counter64,
     MODULE-IDENTITY, OBJECT-TYPE, OBJECT-IDENTITY,
     zeroDotZero, mib-2
          FROM SNMPv2-SMI
@@ -16,11 +16,11 @@
         FROM INET-ADDRESS-MIB
     BurstSize
         FROM INTEGRATED-SERVICES-MIB
-    Dscp, DscpOrAny
+    Dscp, DscpOrAny, IndexInteger
         FROM DIFFSERV-DSCP-TC;
 
 diffServMib MODULE-IDENTITY
-    LAST-UPDATED "0102210000Z"
+    LAST-UPDATED "200108200000Z"
     ORGANIZATION "IETF Differentiated Services WG"
     CONTACT-INFO
        "       Fred Baker
@@ -52,7 +52,7 @@
        uses the Differentiated Services Architecture described in RFC
        2475. The Conceptual Model of a Differentiated Services Router
        provides supporting information on how such a router is modeled."
-    REVISION "0106030000Z"
+    REVISION "200108200000Z"
     DESCRIPTION
        "Initial version, published as RFC xxxx."
     ::= { mib-2 1 }
@@ -573,14 +573,14 @@
     ::= { diffServMultiFieldClfrTable 1 }
 
 DiffServMultiFieldClfrEntry ::= SEQUENCE {
-    diffServMultiFieldClfrId           INTEGER,
+    diffServMultiFieldClfrId           IndexInteger,
     diffServMultiFieldClfrAddrType  InetAddressType,
     diffServMultiFieldClfrDstAddr      InetAddress,
     diffServMultiFieldClfrDstPrefixLength InetAddressPrefixLength,
     diffServMultiFieldClfrSrcAddr      InetAddress,
     diffServMultiFieldClfrSrcPrefixLength InetAddressPrefixLength,
     diffServMultiFieldClfrDscp         DscpOrAny,
-    diffServMultiFieldClfrFlowId       INTEGER,
+    diffServMultiFieldClfrFlowId       Integer32,
     diffServMultiFieldClfrProtocol     Unsigned32,
     diffServMultiFieldClfrDstL4PortMin InetPortNumber,
     diffServMultiFieldClfrDstL4PortMax InetPortNumber,
@@ -678,8 +678,8 @@
     DEFVAL         { -1 }
     ::= { diffServMultiFieldClfrEntry 8 }
 
-diffServMultiFieldClfrFlowID OBJECT-TYPE
-    SYNTAX         INTEGER (0..1048575)
+diffServMultiFieldClfrFlowId OBJECT-TYPE
+    SYNTAX         Integer32 (0..1048575)
     MAX-ACCESS     read-create
     STATUS         current
     DESCRIPTION
@@ -846,7 +846,7 @@
     ::= { diffServMeterTable 1 }
 
 DiffServMeterEntry ::= SEQUENCE  {
-    diffServMeterId                INTEGER,
+    diffServMeterId                IndexInteger,
     diffServMeterSucceedNext       RowPointer,
     diffServMeterFailNext          RowPointer,
     diffServMeterSpecific          RowPointer,
@@ -1000,7 +1000,7 @@
     ::= { diffServTBParamTable 1 }
 
 DiffServTBParamEntry ::= SEQUENCE  {
-    diffServTBParamId              INTEGER,
+    diffServTBParamId              IndexInteger,
     diffServTBParamType            OBJECT IDENTIFIER,
     diffServTBParamRate            Unsigned32,
     diffServTBParamBurstSize       BurstSize,
@@ -1226,7 +1226,7 @@
     ::= { diffServActionTable 1 }
 
 DiffServActionEntry ::= SEQUENCE  {
-    diffServActionId                INTEGER,
+    diffServActionId                IndexInteger,
     diffServActionNext              RowPointer,
     diffServActionSpecific          RowPointer,
     diffServActionStatus            RowStatus
@@ -1401,7 +1401,7 @@
     ::= { diffServCountActTable 1 }
 
 DiffServCountActEntry ::= SEQUENCE  {
-    diffServCountActId           INTEGER,
+    diffServCountActId           IndexInteger,
     diffServCountActOctets       Counter32,
     diffServCountActHCOctets     Counter64,
     diffServCountActPkts         Counter32,
@@ -1570,7 +1570,7 @@
     ::= { diffServAlgDropTable 1 }
 
 DiffServAlgDropEntry ::= SEQUENCE  {
-    diffServAlgDropId               INTEGER,
+    diffServAlgDropId               IndexInteger,
     diffServAlgDropType             INTEGER,
     diffServAlgDropNext             RowPointer,
     diffServAlgDropQMeasure         RowPointer,
@@ -1924,14 +1924,14 @@
     ::= { diffServRandomDropTable 1 }
 
 DiffServRandomDropEntry ::= SEQUENCE  {
-    diffServRandomDropId               INTEGER,
+    diffServRandomDropId               IndexInteger,
     diffServRandomDropMinThreshBytes   Unsigned32,
     diffServRandomDropMinThreshPkts    Unsigned32,
     diffServRandomDropMaxThreshBytes   Unsigned32,
     diffServRandomDropMaxThreshPkts    Unsigned32,
-    diffServRandomDropProbMax          INTEGER,
-    diffServRandomDropWeight           INTEGER,
-    diffServRandomDropSamplingRate     INTEGER,
+    diffServRandomDropProbMax          Integer32,
+    diffServRandomDropWeight           Integer32,
+    diffServRandomDropSamplingRate     Integer32,

@@ -2008,7 +2008,7 @@

 diffServRandomDropProbMax OBJECT-TYPE
-    SYNTAX       INTEGER (0..1000)
+    SYNTAX       Integer32 (0..1000)
     MAX-ACCESS   read-create
     STATUS       current
     DESCRIPTION
@@ -2022,7 +2022,7 @@
    ::= { diffServRandomDropEntry 6 }
 
 diffServRandomDropWeight OBJECT-TYPE
-    SYNTAX       INTEGER (0..65536)
+    SYNTAX       Integer32 (0..65536)
     MAX-ACCESS   read-create
     STATUS       current
     DESCRIPTION
@@ -2046,7 +2046,7 @@
     ::= { diffServRandomDropEntry 7 }
 
 diffServRandomDropSamplingRate OBJECT-TYPE
-    SYNTAX       INTEGER (0..1000000)
+    SYNTAX       Integer32 (0..1000000)
     MAX-ACCESS   read-create
     STATUS       current
     DESCRIPTION
@@ -2149,7 +2149,7 @@
     ::= { diffServQTable 1 }
 
 DiffServQEntry ::= SEQUENCE  {
-    diffServQId                      INTEGER,
+    diffServQId                      IndexInteger,
     diffServQNext                    RowPointer,
     diffServQRate                    RowPointer,
     diffServQShaper                  RowPointer,
@@ -2287,7 +2287,7 @@
     ::= { diffServSchedulerTable 1 }
 
 DiffServSchedulerEntry ::= SEQUENCE  {
-    diffServSchedulerId                   INTEGER,
+    diffServSchedulerId                   IndexInteger,
     diffServSchedulerNext                 RowPointer,

@@ -2512,7 +2512,7 @@
     ::= { diffServAssuredRateTable 1 }
 
 DiffServAssuredRateEntry ::= SEQUENCE  {
-    diffServAssuredRateId              INTEGER,
+    diffServAssuredRateId              IndexInteger,
     diffServAssuredRatePriority        Unsigned32,
     diffServAssuredRateAbs             Unsigned32,
     diffServAssuredRateRel             Unsigned32,
@@ -2716,8 +2716,8 @@
     ::= { diffServShapingRateTable 1 }
 
 DiffServShapingRateEntry ::= SEQUENCE  {
-    diffServShapingRateId              INTEGER,
-    diffServShapingRateLevel           INTEGER,
+    diffServShapingRateId              IndexInteger,
+    diffServShapingRateLevel           IndexInteger,
     diffServShapingRateAbs             Unsigned32,
     diffServShapingRateRel             Unsigned32,
     diffServShapingRateThreshold       BurstSize,
@@ -2945,11 +2945,6 @@
     DESCRIPTION
        "Write access is not required."
 
-    OBJECT diffServClfrDataPathStart
-    MIN-ACCESS read-only
-    DESCRIPTION
-       "Write access is not required."
-
     OBJECT diffServClfrStatus
     MIN-ACCESS read-only
 
@@ -3434,7 +3429,7 @@
         diffServCountActPkts, diffServCountActDiscontTime,
         diffServCountActStatus, diffServAlgDropOctets,
         diffServAlgDropHCOctets, diffServAlgDropPkts,
-        diffServAlgRandomDropHCOctets, diffServAlgRandomDropPkts
+        diffServAlgRandomDropHCOctets, diffServAlgRandomDropHCPkts
     }
     STATUS current
     DESCRIPTION
--- ../../DIFFSERV-DSCP-TC	Mon Aug 20 09:24:13 2001
+++ DIFFSERV-DSCP-TC	Mon Aug 20 09:45:30 2001
@@ -7,7 +7,7 @@
          FROM SNMPv2-TC;
 
 diffServDSCPTC MODULE-IDENTITY
-    LAST-UPDATED "0101080000Z"
+    LAST-UPDATED "200108200000Z"
     ORGANIZATION "IETF Differentiated Services WG"
     CONTACT-INFO
        "       Fred Baker
@@ -33,7 +33,7 @@
     DESCRIPTION
        "The Textual Conventions defined in this module should be used
        whenever a Differentiated Services Code Point is used in a MIB."
-    REVISION "0106030000Z"
+    REVISION "200108200000Z"
     DESCRIPTION
        "Initial version, published as RFC xxxx."
     ::= { mib-2 12344 }  -- to be assigned by IANA
@@ -70,6 +70,6 @@
        "An integer which may be used as an SNMP Index."
     REFERENCE
         "RFC 2474, RFC 2780"
-    SYNTAX   INTEGER (1..2147483647)
+    SYNTAX   Integer32 (1..2147483647)
 
 END

---

From: Fred Baker <[email-masked]>
Date: Mon, 20 Aug 2001 21:54:33 +0800

>+    diffServMultiFieldClfrFlowId       Integer32,

Integer32 has a range -2^31..+2^31-1; diffServMultiFieldClfrFlowId has a 
range 0..2^20-1. Your tester is still broken.

Thanks for the other edits. I'm going to have to figure out a couple of 
them, because I specifically placed the IndexInteger in the main MIB rather 
than the DSCP MIB, etc.

---

From: Frank Strauss <[email-masked]>
Date: 21 Aug 2001 09:39:35 +0200

Hi!

>> +    diffServMultiFieldClfrFlowId       Integer32,

Fred> Integer32 has a range -2^31..+2^31-1; diffServMultiFieldClfrFlowId has
Fred> a range 0..2^20-1. Your tester is still broken.

No, just the SMIv2 specs are quite obfuscated. ;-)

RFC 2578, Section 7.1.12 on Conceptual Tables says about SEQUENCE:

        <EntryType> ::= SEQUENCE { <type1>, ... , <typeN> }

   where there is one <type> for each subordinate object, and each
   <type> is of the form:

        <descriptor> <syntax>

   where <descriptor> is the descriptor naming a subordinate object, and
   <syntax> has the value of that subordinate object's SYNTAX clause,
   except that both sub-typing information and the named values for
   enumerated integers or the named bits for the BITS construct, are
   omitted from <syntax>.

 -frank

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 31 Aug 2001 11:02:37 -0500

Frank, are you OK with the MIB-12 version?

   Brian

---

From: demir <[email-masked]>
Date: Fri, 31 Aug 2001 15:24:01 -0700 (PDT)

RFC2598bis
    - E_a is the error term for the treatment of the EF aggregate.
      Note that E_a represents the worst case deviation between actual
      departure time of an EF packet and ideal departure time of the
      same packet, i.e. E_a provides an upper bound on (d_j - f_j) for

      - E_p is the error term for the treatment of individual EF
      packets. Note that E_p represents the worst case deviation between
      actual departure time of an EF packet and ideal departure time of
      the same packet, i.e. E_p provides an upper bound on (D_j - F_j)

In the above text, both "Note that" for E_a and E_p notes the same thing.

Alper K. Demir

---

From: Frank Strauss <[email-masked]>
Date: 31 Aug 2001 18:08:51 +0200

Hi!

Brian> Frank, are you OK with the MIB-12 version?

I just had some Integer32 over INTEGER `preferences' left.
Fred is aware about it.

 -frank